body {
    margin: 0;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #2c271f;
    color: #ebdac6;
    font-family: Arial, sans-serif;
    position: relative;
    overflow: hidden;
}

.main-text {
    perspective: 1000px;
    font-size: 3rem;
    font-weight: bold;
    text-align: center;
    z-index: -1000;
    position: relative;
    user-select: none;
}

.icon-button {
    width: 50px;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    border-radius: 8px;
    background-color: #26221a;
    cursor: pointer;
  }
.icon-button i,
.icon-button svg {
    font-size: 24px;
    width: 24px;
    height: 24px;
    color: #333333;
}

.popup {
    position: absolute;
    top: 100px;
    left: 100px;
    width: auto;
    background: #26221a;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    display: none;
    z-index: 1;
    border-radius: 10px;
}

.focused {
    z-index: 2;
}
  
.popup-header {
    display: flex;
    justify-content: center;
    padding: 10px;
    background: #1e1a14;
    cursor: move;
    border-radius: 10px 10px 0px 0px;
    color: #ebdac6;
    user-select: none;
}
  
.popup-content {
    padding: 10px;
    color: #ebdac6;
    display: block;
    max-width: 90vw;
    max-height: 90vh;
    overflow: auto;
    box-sizing: border-box;
}

  
.close-popup {
    position: absolute;
    right: 10px;
    top: 19px;
    transform: translateY(-50%);
    border: none;
    background: transparent;
    cursor: pointer;
}

.desktop-icons {
    display: grid;
    grid-auto-flow: column;
    gap: 20px;
    justify-items: start;
    align-items: start;
    position: absolute;
    top: 0;
    left: 0;
    padding: 20px;
    z-index: 1;
}

button {
    font-size: 1rem;
    border: none;
    border-radius: 4px;
    background-color: inherit;
    color: inherit;
    cursor: pointer;
}

button:hover {
    background-color: rgba(0, 0, 0, 0.2);
    transition: background-color 0.3s;
}